Package org.eclipse.birt.report.model.api

# Class CascadingParameterGroupHandleImpl

java.lang.Object
org.eclipse.birt.report.model.api.DesignElementHandle
org.eclipse.birt.report.model.api.ReportElementHandle
org.eclipse.birt.report.model.api.ParameterGroupHandle
org.eclipse.birt.report.model.api.CascadingParameterGroupHandleImpl

All Implemented Interfaces:
  `org.eclipse.birt.report.model.elements.interfaces.ICascadingParameterGroupModel`, `org.eclipse.birt.report.model.elements.interfaces.IDesignElementModel`, `org.eclipse.birt.report.model.elements.interfaces.IIntenalCascadingParameterGroupModel`, `org.eclipse.birt.report.model.elements.interfaces.IParameterGroupModel`

Direct Known Subclasses:
  `CascadingParameterGroupHandle`

public class CascadingParameterGroupHandleImpl extends ParameterGroupHandle implements org.eclipse.birt.report.model.elements.interfaces.ICascadingParameterGroupModel
Represents the group of cascading parameters. Cascading parameters are created under the group.

## Field Summary

### Fields inherited from class org.eclipse.birt.report.model.api.ReportElementHandle

`element`

### Fields inherited from class org.eclipse.birt.report.model.api.DesignElementHandle

`module`

### Fields inherited from interface org.eclipse.birt.report.model.elements.interfaces.IDesignElementModel

`COMMENTS_PROP, CUSTOM_XML_PROP, DISPLAY_NAME_ID_PROP, DISPLAY_NAME_PROP, EVENT_HANDLER_CLASS_PROP, EXTENDS_PROP, FULL_LABEL, ID_SUFFIX, NAME_PROP, NEW_HANDLER_ON_EACH_EVENT_PROP, NO_SLOT, PROPERTY_MASKS_PROP, REF_TEMPLATE_PARAMETER_PROP, SHORT_LABEL, USER_LABEL, USER_PROPERTIES_PROP, VIEW_ACTION_PROP`

### Fields inherited from interface org.eclipse.birt.report.model.elements.interfaces.IIntenalCascadingParameterGroupModel

`DATA_SET_MODE_PROP, DATA_SET_PROP`

### Fields inherited from interface org.eclipse.birt.report.model.elements.interfaces.IParameterGroupModel

`HELP_TEXT_KEY_PROP, HELP_TEXT_PROP, PARAMETERS_SLOT, PROMPT_TEXT_ID_PROP, PROMPT_TEXT_PROP, START_EXPANDED_PROP`

## Constructor Summary

Constructors
Constructor
Description
`CascadingParameterGroupHandleImpl(org.eclipse.birt.report.model.core.Module module, org.eclipse.birt.report.model.elements.CascadingParameterGroup element)`
Constructs the handle for a group of cascading parameters with the given design and element.

## Method Summary

Modifier and Type
Method
Description
`DataSetHandle`
`getDataSet()`
Returns the handle for the data set defined on the cascading parameter group.
`String`
`getDataSetMode()`
Gets the mode for data set support.
`String`
`getDisplayPromptText()`
Returns the localized text for prompt text.
`void`
`setDataSet(DataSetHandle handle)`
Sets the data set of the report item.
`void`
`setDataSetMode(String mode)`
Sets the mode for data set support.

### Methods inherited from class org.eclipse.birt.report.model.api.ParameterGroupHandle

`getHelpText, getHelpTextKey, getParameters, getPromptText, getPromptTextKey, setHelpText, setHelpTextKey, setPromptText, setPromptTextKey, setStartExpanded, startExpanded`

### Methods inherited from class org.eclipse.birt.report.model.api.ReportElementHandle

`getComments, getCustomXml, getDisplayName, getDisplayNameKey, getElement, getPropertyMask, isValidLayoutForCompoundElement, isValidReferenceForCompoundElement, propertyMaskIterator, setComments, setCustomXml, setDisplayName, setDisplayNameKey, setPropertyMask`

### Methods inherited from class org.eclipse.birt.report.model.api.DesignElementHandle

`add, add, addElement, addElement, addListener, addUserPropertyDefn, cachePropertyHandles, canContain, canContain, canContain, canContain, canDrop, canEdit, canTransformToTemplate, clearAllProperties, clearContents, clearProperty, clientsIterator, copy, copyPropertyTo, createTemplateElement, derivedIterator, doSort, drop, drop, drop, dropAndClear, dropAndClear, dropAndClear, dropUserPropertyDefn, findContentSlot, getBooleanProperty, getChoices, getColorProperty, getContainer, getContainerPropertyHandle, getContainerSlotHandle, getContent, getContentCount, getContents, getDefn, getDesign, getDesignHandle, getDimensionProperty, getDisplayLabel, getDisplayLabel, getDisplayProperty, getEffectiveModule, getElementFactory, getElementProperty, getEventHandlerClass, getExpressionProperty, getExtends, getExternalizedValue, getExternalizedValue, getExternalizedValue, getFactoryElementHandle, getFactoryPropertyHandle, getFloatProperty, getFontProperty, getFullName, getHostViewHandle, getID, getIndex, getIntProperty, getListProperty, getListProperty, getMethods, getModule, getModuleHandle, getName, getNumberProperty, getPrivateStyle, getProperty, getPropertyBinding, getPropertyBindingExpression, getPropertyBindings, getPropertyDefn, getPropertyHandle, getPropertyIterator, getQualifiedName, getRoot, getSemanticErrors, getSlot, getStringProperty, getStyle, getTagType, getUserProperties, getUserPropertyDefnHandle, getXPath, hasLocalProperties, hasSemanticError, initializeSlotHandles, isDirectionRTL, isInTemplateParameter, isTemplateParameterValue, isValid, localize, move, move, moveTo, moveTo, moveTo, moveTo, newHandlerOnEachEvent, paste, paste, paste, paste, removeListener, revertToReportItem, revertToTemplate, semanticCheck, setBooleanProperty, setEncryption, setEventHandlerClass, setExpressionProperty, setExtends, setExtendsElement, setExtendsName, setFloatProperty, setIntProperty, setName, setNewHandlerOnEachEvent, setNumberProperty, setProperties, setProperty, setPropertyBinding, setPropertyBinding, setStringProperty, setStyle, setStyleElement, setStyleName, setValid, shift, showError, slotsIterator`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### CascadingParameterGroupHandleImpl

public CascadingParameterGroupHandleImpl(org.eclipse.birt.report.model.core.Module module, org.eclipse.birt.report.model.elements.CascadingParameterGroup element)
Constructs the handle for a group of cascading parameters with the given design and element.

Parameters:
  `module` - the module
  `element` - the cascading parameter group element instance.

## Method Details

### getDataSet

public DataSetHandle getDataSet()
Returns the handle for the data set defined on the cascading parameter group.

Returns:
  the handle to the data set

### setDataSet

public void setDataSet(DataSetHandle handle) throws SemanticException
Sets the data set of the report item.

Parameters:
  `handle` - the handle of the data set, if `handle` is null, data set property will be cleared.
Throws:
  `SemanticException` - if the property is locked.

### setDataSetMode

public void setDataSetMode(String mode) throws SemanticException
Sets the mode for data set support. It can be one of the following values:

- `DesignChoiceConstants.SINGLE_MODE` `DesignChoiceConstants.MULTIPLE_MODE`

Parameters:
  `mode` - either the single data set or multiple data set.
Throws:
  `SemanticException` - if the input value is not one of above values.

### getDataSetMode

public String getDataSetMode()
Gets the mode for data set support.

Returns:
  the mode for data set support.
See Also:
  - `setDataSetMode(String)`

### getDisplayPromptText

public String getDisplayPromptText()
Returns the localized text for prompt text. If the localized text for the text resource key is found, it will be returned. Otherwise, the static text will be returned.

Returns:
  the localized text for the prompt text